test: add a test for #31384

This commit is contained in:
David Tardon 2024-02-16 16:22:05 +01:00 committed by Luca Boccassi
parent 12af0efba5
commit dfdcc7c987
2 changed files with 23 additions and 0 deletions

View file

@ -256,6 +256,7 @@ BASICTOOLS=(
useradd
userdel
wc
whoami
xargs
xzcat
)

22
test/units/testsuite-23.utmp.sh Executable file
View file

@ -0,0 +1,22 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: LGPL-2.1-or-later
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
set -eux
set -o pipefail
# shellcheck source=test/units/util.sh
. "$(dirname "$0")"/util.sh
USER="test-23-utmp"
cleanup() {
userdel "$USER"
}
trap cleanup EXIT
useradd "$USER"
assert_eq "$(systemd-run -qP -p UtmpIdentifier=test -p UtmpMode=user -p User=$USER whoami)" "$USER"
assert_eq "$(systemd-run -qP -p UtmpIdentifier=test -p UtmpMode=user whoami)" "$(whoami)"